%define major	%{version}
%define libname %mklibname %{name} %{major}

Name:		lexed
Version:	4.7
Release:	%mkrel 20
Summary:	Lexicon analyser
Source:		https://gforge.inria.fr/frs/download.php/1489/%{name}-%{version}.tar.bz2
URL:		https://gforge.inria.fr/projects/lingwb/
License:	GPL
Group:		Sciences/Computer science
Requires:	%{libname} = %{version}-%{release}

%description
Lexed allows to search a dictionary entry from a string. The finished
automata-based algorithm is especially fast, and offers a good alternative to
hashes for large dictionaries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname %{name} 4.6}-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING INSTALL NEWS README doc/*.html
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/liblexed-%{version}.so

%files -n %{libname}-devel
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/liblexed.so
%{_datadir}/aclocal/*






%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.7-20.mga10
+ Revision: 2195385
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 4.7-19.mga9
+ Revision: 1791982
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.7-18.mga8
+ Revision: 1513885
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.7-17.mga7
+ Revision: 1298738
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 4.7-16.mga7
+ Revision: 1235592
- fix build on aarch64
- drop static build and .la files
- drop multiarch support
+ kekepower <kekepower>
- Use new make macros

* Sun Jan 31 2016 umeabot <umeabot> 4.7-15.mga6
+ Revision: 929482
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.7-14.mga5
+ Revision: 749423
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.7-13.mga5
+ Revision: 726692
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.7-12.mga5
+ Revision: 681305
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.7-11.mga4
+ Revision: 506843
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.7-10.mga3
+ Revision: 356756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 dmorgan <dmorgan> 4.7-9.mga1
+ Revision: 24000
- Remove mdv macros
- imported package lexed


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 4.7-9mdv2011.0
+ Revision: 620063
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 4.7-8mdv2010.0
+ Revision: 429712
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 4.7-7mdv2009.0
+ Revision: 248369
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.7-5mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 4.7-5mdv2008.0
+ Revision: 74640
- better conflict on older lib

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 4.7-4mdv2008.0
+ Revision: 74626
- add explicit conflict from liblexed4.7-devel on liblexed4.6-devel

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-3mdv2008.0
+ Revision: 67057
- rebuild


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-2mdv2007.0
+ Revision: 134337
- rebuild

* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.7-1mdv2007.1
+ Revision: 114862
- new version

* Wed Aug 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.6-4mdk
- fix multiarch
- spec cleanup
- less stric requires
- %%mkrel

* Thu Dec 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-3mdk 
- explicit and stricter requires for lib package

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-2mdk 
- fix 10.0 build

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.6-1mdk 
- new version

* Fri Aug 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-2mdk 
- fixed major

* Fri Jul 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.5.0-1mdk 
- new version
- rpmbuildupdate aware

* Wed Jun 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-2mdk 
- rebuild

* Fri Apr 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.4-1mdk
- new version

* Wed Apr 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.3-1mdk
- new version

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.4.2-1mdk
- new version
- updated description

